package cn.com.poc.law.entity.motorVehicleDrivingComplaint;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import cn.com.poc.law.jsonSerializer.JacksonDateFormatDeSerializer;

/**
 * @Author：Roger Wu
 * @name：ThirdParty
 * @Date：2025-08-01 10:51
 */
public class ThirdParty {

    private String thirdPartyName;
    private String thirdPartyGender;

    @JsonDeserialize(using = JacksonDateFormatDeSerializer.class)
    private String thirdPartyDob;
    private String thirdPartyEthnicity;
    private String thirdPartyWorkUnit;
    private String thirdPartyTitle;
    private String thirdPartyPhone;
    private String thirdPartyDomicile;
    private String thirdPartyHabitualResidence;
    private String thirdPartyIdType;
    private String thirdPartyIdNumber;

    public String getThirdPartyName() {
        return thirdPartyName;
    }

    public void setThirdPartyName(String thirdPartyName) {
        this.thirdPartyName = thirdPartyName;
    }

    public String getThirdPartyGender() {
        return thirdPartyGender;
    }

    public void setThirdPartyGender(String thirdPartyGender) {
        this.thirdPartyGender = thirdPartyGender;
    }

    public String getThirdPartyDob() {
        return thirdPartyDob;
    }

    public void setThirdPartyDob(String thirdPartyDob) {
        this.thirdPartyDob = thirdPartyDob;
    }

    public String getThirdPartyEthnicity() {
        return thirdPartyEthnicity;
    }

    public void setThirdPartyEthnicity(String thirdPartyEthnicity) {
        this.thirdPartyEthnicity = thirdPartyEthnicity;
    }

    public String getThirdPartyWorkUnit() {
        return thirdPartyWorkUnit;
    }

    public void setThirdPartyWorkUnit(String thirdPartyWorkUnit) {
        this.thirdPartyWorkUnit = thirdPartyWorkUnit;
    }

    public String getThirdPartyTitle() {
        return thirdPartyTitle;
    }

    public void setThirdPartyTitle(String thirdPartyTitle) {
        this.thirdPartyTitle = thirdPartyTitle;
    }

    public String getThirdPartyPhone() {
        return thirdPartyPhone;
    }

    public void setThirdPartyPhone(String thirdPartyPhone) {
        this.thirdPartyPhone = thirdPartyPhone;
    }

    public String getThirdPartyDomicile() {
        return thirdPartyDomicile;
    }

    public void setThirdPartyDomicile(String thirdPartyDomicile) {
        this.thirdPartyDomicile = thirdPartyDomicile;
    }

    public String getThirdPartyHabitualResidence() {
        return thirdPartyHabitualResidence;
    }

    public void setThirdPartyHabitualResidence(String thirdPartyHabitualResidence) {
        this.thirdPartyHabitualResidence = thirdPartyHabitualResidence;
    }

    public String getThirdPartyIdType() {
        return thirdPartyIdType;
    }

    public void setThirdPartyIdType(String thirdPartyIdType) {
        this.thirdPartyIdType = thirdPartyIdType;
    }

    public String getThirdPartyIdNumber() {
        return thirdPartyIdNumber;
    }

    public void setThirdPartyIdNumber(String thirdPartyIdNumber) {
        this.thirdPartyIdNumber = thirdPartyIdNumber;
    }
}
